int delete(char *filename, int recursive);

void version(char *cmd);
void gz_compress_file_function(char *filename, int level, int force);
void gz_decompress_file_function(char *filename, int force);
void bz2_compress_file_function(char *filename, int level, int force);
void bz2_decompress_file_function(char *filename, int force);
void xz_compress_file_function(char *filename, int level, int force);
void xz_decompress_file_function(char *filename, int force);

int cat_command_main(int argc, char **argv,
	struct stream *(*open_function)(char *, char *), char *cmd, char *usage);
int unzip_command_main(int argc, char **argv,
	void (*decompress_file_function)(char *, int), char *cmd, char *usage);
int zip_command_main(int argc, char **argv,
	void (*compress_file_function)(char *, int, int),
	void (*decompress_file_function)(char *, int), char *cmd, char *usage,
	int min_level);
